//
//  Enemy.h
//  SpaceInvadersTutorial
//
//  Created by Barbara Köhler on 6/14/13.
//  Copyright (c) 2013 Barbara Köhler. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>

@interface Enemy : SKSpriteNode

- (id)initWithParent:(SKNode*) parent;
-(void) resetAtPosition:(int) i;
-(void) move;
-(BOOL) isActive;
-(BOOL) collidesWithPlayerFrame:(CGRect) playerFrame;

@end
